<?php	
	class Opcion{
		private $menu;
		private $opcion;
		private $descripcion;
		private $ruta;
		private $valor;
		private $contexto;
		
		function __construct($menu, $opcion, $descripcion, $ruta, $valor, $contexto){
			$this->menu = $menu;
			$this->opcion = $opcion;
			$this->descripcion = $descripcion;
			$this->ruta = $ruta;
			$this->valor = $valor;
			$this->contexto = $contexto;
		}
		function getMenu(){
			return $this->menu;
		}
		function getOpcion(){
			return $this->opcion;
		}
		function getDescripcion(){
			return $this->descripcion;
		}
		function getRuta(){
			return $this->ruta;
		}
		function getValor(){
			return $this->valor;
		}
		function getContexto(){
			return $this->contexto;
		}
		function setContexto($contexto){
			$this->contexto = $contexto; 
		}
		function setDescripcion($descripcion){
			$this->descripcion = $descripcion; 
		}
		function setRuta($ruta){
			$this->ruta = $ruta;
		}
		function setValor($valor){
			$this->valor = $valor;
		}
		function toJson(){
			$resp = array();
			if($this->menu != NULL){
				$resp["Menu"] = $this->getMenu()->toJSON();
			}else{
				$resp["Menu"] = NULL;
			}
			$resp["Opcion"] = $this->getOpcion();
			$resp["Descripcion"] = $this->getDescripcion();
			$resp["Ruta"] = $this->getRuta();
			$resp["Valor"] = $this->getValor();
			$resp["Contexto"] = $this->getContexto();
			return $resp;
		}
	}
